aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--README.md10
-rw-r--r--config/hypr/UserConfigs/WindowRules.conf4
-rwxr-xr-xconfig/hypr/scripts/KeyBinds.sh5
-rwxr-xr-xconfig/hypr/scripts/RefreshNoWaybar.sh2
-rw-r--r--config/waybar/Modules6
-rw-r--r--config/waybar/style/[Colored] Translucent.css6
-rw-r--r--config/waybar/style/[Dark] Golden Noir.css2
-rw-r--r--config/waybar/style/[Dark] Half-Moon.css1
-rw-r--r--config/waybar/style/[Dark] Purpl.css2
-rw-r--r--config/waybar/style/[Extra] Crimson.css2
-rw-r--r--config/waybar/style/[Extra] EverForest.css1
-rw-r--r--config/waybar/style/[Extra] Mauve.css2
-rw-r--r--config/waybar/style/[Extra] Simple Pink.css2
-rw-r--r--config/waybar/style/[Transparent] Crystal Clear.css2
-rw-r--r--config/waybar/style/[Wallust Transparent] Crystal Clear.css2
-rw-r--r--config/wlogout/style.css1
-rwxr-xr-xcopy.sh173
17 files changed, 119 insertions, 104 deletions
diff --git a/README.md b/README.md
index 0605a405..a5b4e596 100644
--- a/README.md
+++ b/README.md
@@ -79,19 +79,19 @@ https://github.com/JaKooLit/Hyprland-Dots/assets/85185940/50d53755-0f11-45d6-991
- All screenshots are collected here [Screenshots](https://github.com/JaKooLit/screenshots/tree/main/Hyprland-ScreenShots)
### 📦 Whats new?
-- To easily track changes, I will be updating the changelogs. [CHANGELOGS](https://github.com/JaKooLit/Hyprland-Dots/wiki/Changelogs) Screenshots will be included if worth it!
+- To easily track changes, I will be updating the [CHANGELOGS](https://github.com/JaKooLit/Hyprland-Dots/wiki/Changelogs) Screenshots will be included if worth it!
### 💥 Copying / Installation / Update instructions 💥
- [`MORE INFO HERE`](https://github.com/JaKooLit/Hyprland-Dots/wiki/Install_&_Update)
> [!Note]
-> The auto copy script will create backups of intended folders to be copied. However, still a good idea to manually backup just incase script failed to backup!
+> The auto copy script "copy.sh" will create backups of intended folders to be copied. However, still a good idea to manually backup just incase script failed to backup!
- ~/.config (ags btop cava hypr kitty Kvantum qt5ct qt6ct rofi swappy swaync wallust waybar wlogout) - These are folders to be copied.
- ~/Pictures/wallpapers - Will be backed up
- clone this repo by using git. Change directory, make executable and run the script
-> to download from Master branch (possible bugs)
+> to download from Master branch
```bash
-git clone --depth=1 -b Simple https://github.com/JaKooLit/Hyprland-Dots.git
+git clone --depth=1 https://github.com/JaKooLit/Hyprland-Dots.git
cd Hyprland-Dots
```
@@ -129,7 +129,7 @@ chmod +x upgrade.sh
> Delete manually all the backups which you dont need
#### 🛎️ a small note on wallpapers
-- by default, only few wallpapers will be copied (1 each dark and light plus 3 more). You will be offered to download more wallpapers. You can preview/check the additional wallpapers on [`THIS`](https://github.com/JaKooLit/Wallpaper-Bank/tree/main/wallpapers) Link
+- by default, only few wallpapers will be copied (1 each dark and light plus 3 more). You will be offered to download more wallpapers. You can preview/check the additional wallpapers from [`THIS`](https://github.com/JaKooLit/Wallpaper-Bank/tree/main/wallpapers) Link
#### ⚠️⚠️⚠️ A MUST! after copying / Installing these dots
diff --git a/config/hypr/UserConfigs/WindowRules.conf b/config/hypr/UserConfigs/WindowRules.conf
index 6c8fcb7f..50ff065e 100644
--- a/config/hypr/UserConfigs/WindowRules.conf
+++ b/config/hypr/UserConfigs/WindowRules.conf
@@ -116,8 +116,8 @@ windowrulev2 = size 70% 70%, class:^(evince|wihotspot(-gui)?)$
windowrulev2 = size 60% 70%, class:^(file-roller|org.gnome.FileRoller)$
windowrulev2 = size 60% 70%, class:^([Ww]hatsapp-for-linux)$
windowrulev2 = size 60% 70%, class:^([Ff]erdium)$
-windowrulev2 = size 25% 25%, title:^(Picture-in-Picture)$
-windowrulev2 = size 60% 70%, title:^(ROG Control)$
+windowrulev2 = size 60% 70%, title:^(ROG Control)$
+#windowrulev2 = size 25% 25%, title:^(Picture-in-Picture)$
#windowrulev2 = size 25% 25%, title:^(Firefox)$
# windowrule v2 - pinning
diff --git a/config/hypr/scripts/KeyBinds.sh b/config/hypr/scripts/KeyBinds.sh
index ccbb18a8..4aca73d9 100755
--- a/config/hypr/scripts/KeyBinds.sh
+++ b/config/hypr/scripts/KeyBinds.sh
@@ -5,7 +5,6 @@
# Kill yad to not interfere with this binds
pkill yad || true
-
# Define the config files
KEYBINDS_CONF="$HOME/.config/hypr/configs/Keybinds.conf"
USER_KEYBINDS_CONF="$HOME/.config/hypr/UserConfigs/UserKeybinds.conf"
@@ -20,11 +19,11 @@ if [[ -f "$LAPTOP_CONF" ]]; then
KEYBINDS+=$'\n'"$LAPTOP_BINDS"
fi
-# Check if we have any keybinds to display
+# check for any keybinds to display
if [[ -z "$KEYBINDS" ]]; then
echo "No keybinds found."
exit 1
fi
# Use rofi to display the keybinds
-echo "$KEYBINDS" | rofi -dmenu -i -p "Keybinds" -config ~/.config/rofi/config-keybinds.rasi
+echo "$KEYBINDS" | rofi -dmenu -i -p "Keybinds" -config ~/.config/rofi/config-keybinds.rasi \ No newline at end of file
diff --git a/config/hypr/scripts/RefreshNoWaybar.sh b/config/hypr/scripts/RefreshNoWaybar.sh
index 8e20766b..11496826 100755
--- a/config/hypr/scripts/RefreshNoWaybar.sh
+++ b/config/hypr/scripts/RefreshNoWaybar.sh
@@ -1,7 +1,7 @@
#!/bin/bash
# /* ---- 💫 https://github.com/JaKooLit 💫 ---- */ ##
-# Modified version of Refresh.sh but no waybar refreshing
+# Modified version of Refresh.sh but waybar wont refresh
# Used by automatic wallpaper change
# Modified inorder to refresh rofi background, Wallust, SwayNC only
diff --git a/config/waybar/Modules b/config/waybar/Modules
index 647530c8..b86f6540 100644
--- a/config/waybar/Modules
+++ b/config/waybar/Modules
@@ -1,11 +1,9 @@
//* ---- 💫 https://github.com/JaKooLit 💫 ---- *//
/* Waybar Modules */
-{
-/* NOTE: hyprland-workspaces and Custom Modules on a separate files */
-/* Weather Temperature Modules as this is most like to change always. */
-// Result is of course easier to edit
+/* NOTE: hyprland-workspaces, Custom Modules & Groups on a separate files */
+{
"temperature": {
"interval": 10,
"tooltip": true,
diff --git a/config/waybar/style/[Colored] Translucent.css b/config/waybar/style/[Colored] Translucent.css
index f465ef33..3cbaa8f4 100644
--- a/config/waybar/style/[Colored] Translucent.css
+++ b/config/waybar/style/[Colored] Translucent.css
@@ -1,3 +1,6 @@
+/* ---- 💫 https://github.com/JaKooLit 💫 ---- */
+/* Translucent */
+
@define-color critical #ff0000; /* critical color */
@define-color warning #f3f809; /* warning color */
@define-color fgcolor #ffffff; /* foreground color */
@@ -12,9 +15,6 @@
@define-color accent5 #7da6ff;
@define-color accent6 #0db9d7;
-/* ---- 💫 https://github.com/JaKooLit 💫 ---- */
-/* Translucent */
-
* {
font-family: "JetBrainsMono Nerd Font";
font-weight: bold;
diff --git a/config/waybar/style/[Dark] Golden Noir.css b/config/waybar/style/[Dark] Golden Noir.css
index ce380d2b..7baa7418 100644
--- a/config/waybar/style/[Dark] Golden Noir.css
+++ b/config/waybar/style/[Dark] Golden Noir.css
@@ -1,7 +1,5 @@
/* ----------- 💫 https://github.com/JaKooLit 💫 -------- */
-/* ...........................................*/
/* ...............Golden Noir................ */
-/* .......................................... */
/* --- 👍 designed by https://github.com/Krautt 👍 --- */
* {
diff --git a/config/waybar/style/[Dark] Half-Moon.css b/config/waybar/style/[Dark] Half-Moon.css
index df12c8d0..9db07fa0 100644
--- a/config/waybar/style/[Dark] Half-Moon.css
+++ b/config/waybar/style/[Dark] Half-Moon.css
@@ -1,5 +1,4 @@
/* ----------- 💫 https://github.com/JaKooLit 💫 -------- */
-/* ....................................*/
/* ..........Half Moon.................. */
/* NOTE: This is only for some waybar configs */
/* --- 👍 shared by https://github.com/TomekBobrowicz 👍 --- */
diff --git a/config/waybar/style/[Dark] Purpl.css b/config/waybar/style/[Dark] Purpl.css
index d623b8e0..47c1328f 100644
--- a/config/waybar/style/[Dark] Purpl.css
+++ b/config/waybar/style/[Dark] Purpl.css
@@ -1,7 +1,5 @@
/* ----------- 💫 https://github.com/JaKooLit 💫 -------- */
-/* .........................................*/
/* .............Purpl..................... */
-/* ...................,.................... */
/* --- 👍 designed by https://github.com/Krautt 👍 --- */
* {
diff --git a/config/waybar/style/[Extra] Crimson.css b/config/waybar/style/[Extra] Crimson.css
index c588acc5..86a17f71 100644
--- a/config/waybar/style/[Extra] Crimson.css
+++ b/config/waybar/style/[Extra] Crimson.css
@@ -1,7 +1,5 @@
/* ----------- 💫 https://github.com/JaKooLit 💫 -------- */
-/* ....................................*/
/* ..........Crimson.................. */
-/* ................................... */
/* --- 👍 designed by https://github.com/Krautt 👍 --- */
*{
diff --git a/config/waybar/style/[Extra] EverForest.css b/config/waybar/style/[Extra] EverForest.css
index 817b78ac..9e64cd40 100644
--- a/config/waybar/style/[Extra] EverForest.css
+++ b/config/waybar/style/[Extra] EverForest.css
@@ -1,6 +1,5 @@
/* ----------- 💫 https://github.com/JaKooLit 💫 -------- */
/* --- Designed by https://github.com/DevNChill --- */
-
/* Extra - EverForest*/
@define-color bg_dim #232A2E;
diff --git a/config/waybar/style/[Extra] Mauve.css b/config/waybar/style/[Extra] Mauve.css
index 72f5374c..c50e6a2d 100644
--- a/config/waybar/style/[Extra] Mauve.css
+++ b/config/waybar/style/[Extra] Mauve.css
@@ -1,7 +1,5 @@
/* ----------- 💫 https://github.com/JaKooLit 💫 -------- */
-/* ..........................................*/
/* .......Mauve....................... */
-/* ......................................... */
/* --- 👍 designed by https://github.com/CelestiaKai 👍 --- */
* {
diff --git a/config/waybar/style/[Extra] Simple Pink.css b/config/waybar/style/[Extra] Simple Pink.css
index c2f522b0..6dfad5b7 100644
--- a/config/waybar/style/[Extra] Simple Pink.css
+++ b/config/waybar/style/[Extra] Simple Pink.css
@@ -1,7 +1,5 @@
/* ----------- 💫 https://github.com/JaKooLit 💫 -------- */
-/* ..........................................*/
/* .......Simple Pink....................... */
-/* ......................................... */
/* --- 👍 designed by https://github.com/Krautt 👍 --- */
* {
diff --git a/config/waybar/style/[Transparent] Crystal Clear.css b/config/waybar/style/[Transparent] Crystal Clear.css
index 3d52a7fd..e8dbbf96 100644
--- a/config/waybar/style/[Transparent] Crystal Clear.css
+++ b/config/waybar/style/[Transparent] Crystal Clear.css
@@ -1,7 +1,5 @@
/* ----------- 💫 https://github.com/JaKooLit 💫 -------- */
-/* ..........................................*/
/* .......Crystal Clear....................... */
-/* ......................................... */
/* --- 👍 designed by https://github.com/Krautt 👍 --- */
*{
diff --git a/config/waybar/style/[Wallust Transparent] Crystal Clear.css b/config/waybar/style/[Wallust Transparent] Crystal Clear.css
index 3bd05a49..d98da479 100644
--- a/config/waybar/style/[Wallust Transparent] Crystal Clear.css
+++ b/config/waybar/style/[Wallust Transparent] Crystal Clear.css
@@ -1,7 +1,5 @@
/* ----------- 💫 https://github.com/JaKooLit 💫 -------- */
-/* ..........................................*/
/* ....Wallust Transparent - Crystal Clear........ */
-/* ......................................... */
/* --- 👍 original designed by https://github.com/Krautt 👍 --- */
@import '../../.config/waybar/wallust/colors-waybar.css';
diff --git a/config/wlogout/style.css b/config/wlogout/style.css
index da8efcc5..f7489a70 100644
--- a/config/wlogout/style.css
+++ b/config/wlogout/style.css
@@ -2,7 +2,6 @@
/* wallust-wlogout */
/* Importing wallust colors */
-
@import '../../.config/waybar/wallust/colors-waybar.css';
window {
diff --git a/copy.sh b/copy.sh
index c75137c4..8f44362d 100755
--- a/copy.sh
+++ b/copy.sh
@@ -2,7 +2,6 @@
# /* ---- 💫 https://github.com/JaKooLit 💫 ---- */ #
clear
-
wallpaper=$HOME/.config/hypr/wallpaper_effects/.wallpaper_modified
waybar_style="$HOME/.config/waybar/style/[Dark] Latte-Wallust combined.css"
waybar_config="$HOME/.config/waybar/configs/[TOP] Default_v4"
@@ -20,7 +19,6 @@ echo ' ╠╩╗│ ││ │║ ╠═╣└┬┘├─┘├┬┘│
echo ' ╩ ╩└─┘└─┘╩═╝ ╩ ╩ ┴ ┴ ┴└─┴─┘┴ ┴┘└┘─┴┘ ═╩╝└─┘ ┴ └─┘ '
printf "\n%.0s" {1..2}
-
# Set some colors for output messages
OK="$(tput setaf 2)[OK]$(tput sgr0)"
ERROR="$(tput setaf 1)[ERROR]$(tput sgr0)"
@@ -33,7 +31,6 @@ YELLOW=$(tput setaf 3)
BLUE=$(tput setaf 4)
RESET=$(tput sgr0)
-
# Create Directory for Copy Logs
if [ ! -d Copy-Logs ]; then
mkdir Copy-Logs
@@ -208,7 +205,6 @@ update_editor() {
}
EDITOR_SET=0
-
# Check for neovim if installed
if command -v nvim &> /dev/null; then
printf "${INFO} ${ORANGE}neovim${RESET} is detected as installed\n"
@@ -315,7 +311,6 @@ if [[ "$answer" == "y" ]]; then
sed -i 's/^\s*text = cmd\[update:1000\] echo "\$(date +"%S")"/# &/' config/hypr/hyprlock.conf 2>&1 | tee -a "$LOG"
sed -i 's/^\(\s*\)# *text = cmd\[update:1000\] echo "\$(date +"%S %p")" #AM\/PM/\1 text = cmd\[update:1000\] echo "\$(date +"%S %p")" #AM\/PM/' config/hypr/hyprlock.conf 2>&1 | tee -a "$LOG"
-
# for SDDM (simple-sddm)
sddm_folder="/usr/share/sddm/themes/simple-sddm"
if [ -d "$sddm_folder" ]; then
@@ -349,22 +344,15 @@ done
printf "\n"
-# Rainbow Borders
# Check if the user wants to disable Rainbow borders
-# Print message about Rainbow Borders
-printf "${INFO} - By default, Rainbow Borders animation is enabled.\n"
+printf "${ORANGE} By default, Rainbow Borders animation is enabled.\n"
printf "${WARN} - However, this uses a bit more CPU and Memory resources.\n"
-# Prompt user to disable Rainbow Borders
read -p "${CAT} Do you want to disable Rainbow Borders animation? (Y/N): " border_choice
if [[ "$border_choice" =~ ^[Yy]$ ]]; then
- # Move RainbowBorders.sh script to backup location
mv config/hypr/UserScripts/RainbowBorders.sh config/hypr/UserScripts/RainbowBorders.bak.sh
- # Comment out the line exec-once = $UserScripts/RainbowBorders.sh &
sed -i '/exec-once = \$UserScripts\/RainbowBorders.sh \&/s/^/#/' config/hypr/UserConfigs/Startup_Apps.conf
-
- # Comment out the line animation = borderangle, 1, 180, liner, loop
sed -i '/ animation = borderangle, 1, 180, liner, loop/s/^/#/' config/hypr/UserConfigs/UserDecorAnimations.conf
echo "${OK} Rainbow borders is now disabled." 2>&1 | tee -a "$LOG"
@@ -383,7 +371,6 @@ get_backup_dirname() {
echo "back-up_${timestamp}"
}
-
printf "${INFO} - copying dotfiles ${BLUE}first${RESET} part\n"
# Config directories which will ask the user whether to replace or not
DIRS="
@@ -501,7 +488,6 @@ done
printf "\n"
-
printf "${INFO} - Copying dotfiles ${BLUE}hypr directory${RESET} part\n"
# Check if the config directory exists
@@ -510,62 +496,57 @@ if [ ! -d "config" ]; then
exit 1
fi
-DIR="hypr"
+DIRH="hypr"
FILES_TO_RESTORE=(
- "Monitors.conf"
+ "Monitors.conf"
"Laptops.conf"
- )
-for DIR_NAME in $DIR; do
- DIRPATH=~/.config/"$DIR_NAME"
+ "UserKeybinds.conf"
+)
+
+DIRPATH=~/.config/"$DIRH"
+# Backup the existing directory if it exists
+if [ -d "$DIRPATH" ]; then
+ echo -e "${NOTE} - Config for $DIRH found, attempting to back up."
+ BACKUP_DIR=$(get_backup_dirname)
- # Backup the existing directory if it exists
- if [ -d "$DIRPATH" ]; then
- echo -e "${NOTE} - Config for $DIR_NAME found, attempting to back up."
- BACKUP_DIR=$(get_backup_dirname)
-
- # Backup the existing directory
- mv "$DIRPATH" "$DIRPATH-backup-$BACKUP_DIR" 2>&1 | tee -a "$LOG"
- if [ $? -eq 0 ]; then
- echo -e "${NOTE} - Backed up $DIR_NAME to $DIRPATH-backup-$BACKUP_DIR."
- else
- echo "${ERROR} - Failed to back up ${ORANGE}$DIR_NAME${RESET}."
- exit 1
- fi
+ mv "$DIRPATH" "$DIRPATH-backup-$BACKUP_DIR" 2>&1 | tee -a "$LOG"
+ if [ $? -eq 0 ]; then
+ echo -e "${NOTE} - Backed up $DIRH to $DIRPATH-backup-$BACKUP_DIR."
+ else
+ echo "${ERROR} - Failed to back up ${ORANGE}$DIRH${RESET}."
+ exit 1
fi
-
- # Copy the new config
- if [ -d "config/$DIR_NAME" ]; then
- cp -r "config/$DIR_NAME" ~/.config/"$DIR_NAME" 2>&1 | tee -a "$LOG"
- if [ $? -eq 0 ]; then
- echo "${OK} - Copy of config for ${ORANGE}$DIR_NAME${RESET} completed!"
-
- # Loop through the files to check and offer restoration
- for FILE_NAME in "${FILES_TO_RESTORE[@]}"; do
- BACKUP_FILE="$DIRPATH-backup-$BACKUP_DIR/UserConfigs/$FILE_NAME"
- if [ -f "$BACKUP_FILE" ]; then
- echo -e "${INFO} - Found in backup ${YELLOW}$FILE_NAME${RESET}..."
- read -p "${CAT} Do you want to restore ${ORANGE}$FILE_NAME${RESET} from backup? (y/n): " file_restore
- if [[ "$file_restore" == [Yy]* ]]; then
- cp "$BACKUP_FILE" ~/.config/"$DIR_NAME"/UserConfigs/"$FILE_NAME" && echo "${OK} - $FILE_NAME restored!"
- else
- echo "${NOTE} - Skipped restoring $FILE_NAME."
- fi
+fi
+
+# Copy the new config
+if [ -d "config/$DIRH" ]; then
+ cp -r "config/$DIRH" "$DIRPATH" 2>&1 | tee -a "$LOG"
+ if [ $? -eq 0 ]; then
+ echo "${OK} - Copy of config for ${ORANGE}$DIRH${RESET} completed!"
+
+ # Loop through files to check and offer restoration
+ for FILE_NAME in "${FILES_TO_RESTORE[@]}"; do
+ BACKUP_FILE="$DIRPATH-backup-$BACKUP_DIR/UserConfigs/$FILE_NAME"
+ if [ -f "$BACKUP_FILE" ]; then
+ printf "\n${INFO} Found ${YELLOW}$FILE_NAME${RESET} in hypr backup...\n"
+ read -p "${CAT} Do you want to restore ${ORANGE}$FILE_NAME${RESET} from backup? (y/n): " file_restore
+ if [[ "$file_restore" == [Yy]* ]]; then
+ cp "$BACKUP_FILE" "$DIRPATH/UserConfigs/$FILE_NAME" && echo "${OK} - $FILE_NAME restored!" 2>&1 | tee -a "$LOG"
else
- echo "${NOTE} - No $FILE_NAME found in backup."
+ echo "${NOTE} - Skipped restoring $FILE_NAME."
fi
- done
-
- else
- echo "${ERROR} - Failed to copy $DIR_NAME."
- exit 1
- fi
+ fi
+ done
else
- echo "${ERROR} - Directory config/$DIR_NAME does not exist to copy."
+ echo "${ERROR} - Failed to copy $DIRH."
exit 1
fi
-done
+else
+ echo "${ERROR} - Directory config/$DIRH does not exist to copy."
+ exit 1
+fi
-printf "\n"
+printf "\n%.0s" {1..2}
# copying Wallpapers
mkdir -p ~/Pictures/wallpapers
@@ -576,7 +557,6 @@ chmod +x ~/.config/hypr/scripts/* 2>&1 | tee -a "$LOG"
chmod +x ~/.config/hypr/UserScripts/* 2>&1 | tee -a "$LOG"
# Set executable for initial-boot.sh
chmod +x ~/.config/hypr/initial-boot.sh 2>&1 | tee -a "$LOG"
-printf "\n"
# Detect machine type and set waybar configurations accordingly
if hostnamectl | grep -q 'Chassis: desktop'; then
@@ -609,16 +589,16 @@ while true; do
[Yy])
echo "${NOTE} Downloading additional wallpapers..."
if git clone "https://github.com/JaKooLit/Wallpaper-Bank.git"; then
- echo "${NOTE} Wallpapers downloaded successfully." 2>&1 | tee -a "$LOG"
+ echo "${OK} Wallpapers downloaded successfully." 2>&1 | tee -a "$LOG"
# Check if wallpapers directory exists and create it if not
if [ ! -d ~/Pictures/wallpapers ]; then
mkdir -p ~/Pictures/wallpapers
- echo "${NOTE} Created wallpapers directory." 2>&1 | tee -a "$LOG"
+ echo "${OK} Created wallpapers directory." 2>&1 | tee -a "$LOG"
fi
if cp -R Wallpaper-Bank/wallpapers/* ~/Pictures/wallpapers/ >> "$LOG" 2>&1; then
- echo "${NOTE} Wallpapers copied successfully." 2>&1 | tee -a "$LOG"
+ echo "${OK} Wallpapers copied successfully." 2>&1 | tee -a "$LOG"
rm -rf Wallpaper-Bank 2>&1 # Remove cloned repository after copying wallpapers
break
else
@@ -638,14 +618,69 @@ while true; do
esac
done
+# CLeaning up of ~/.config/ backups
+cleanup_backups() {
+ CONFIG_DIR=~/.config
+ BACKUP_PREFIX="-backup"
+
+ # Loop through directories in ~/.config
+ for DIR in "$CONFIG_DIR"/*; do
+ if [ -d "$DIR" ]; then
+ BACKUP_DIRS=()
+
+ # Check for backup directories
+ for BACKUP in "$DIR"$BACKUP_PREFIX*; do
+ if [ -d "$BACKUP" ]; then
+ BACKUP_DIRS+=("$BACKUP")
+ fi
+ done
+
+ # If more than one backup found
+ if [ ${#BACKUP_DIRS[@]} -gt 1 ]; then
+ printf "\n\n ${INFO} Performing clean up for ${ORANGE}${DIR##*/}${RESET}\n"
+
+ echo -e "${NOTE} Found multiple backups for: ${ORANGE}${DIR##*/}${RESET}"
+ echo "${YELLOW}Backups: ${RESET}"
+
+ # List the backups
+ for BACKUP in "${BACKUP_DIRS[@]}"; do
+ echo " - ${BACKUP##*/}"
+ done
+
+ read -p "${CAT} Do you want to delete the older backups of ${ORANGE}${DIR##*/}${RESET} and keep the latest backup only? (y/n): " back_choice
+ if [[ "$back_choice" == [Yy]* ]]; then
+ # Sort backups by modification time
+ latest_backup="${BACKUP_DIRS[0]}"
+ for BACKUP in "${BACKUP_DIRS[@]}"; do
+ if [ "$BACKUP" -nt "$latest_backup" ]; then
+ latest_backup="$BACKUP"
+ fi
+ done
+
+ for BACKUP in "${BACKUP_DIRS[@]}"; do
+ if [ "$BACKUP" != "$latest_backup" ]; then
+ echo "Deleting: ${BACKUP##*/}"
+ rm -rf "$BACKUP"
+ fi
+ done
+ echo "Old backups of ${ORANGE}${DIR##*/}${RESET} deleted, keeping: ${YELLOW}${latest_backup##*/}${RESET}"
+ fi
+ fi
+ fi
+ done
+}
+# Execute the cleanup function
+cleanup_backups
+
# symlinks for waybar style
ln -sf "$waybar_style" "$HOME/.config/waybar/style.css" && \
+printf "\n%.0s" {1..2}
+
# initialize wallust to avoid config error on hyprland
wallust run -s $wallpaper 2>&1 | tee -a "$LOG"
-
-printf "\n%.0s" {1..2}
-printf "${OK} GREAT! KooL's Hyprland-Dots Loaded & Ready!!!\n\n\n"
+printf "\n%.0s" {1..4}
+printf "${OK} GREAT! KooL's Hyprland-Dots is now Loaded & Ready !!!"
printf "\n%.0s" {1..1}
-printf "${ORANGE} BUT SUGGEST to logout and re-login or reboot to avoid anyissues\n\n"
+printf "${ORANGE}HOWEVER I HIGHLY SUGGEST to logout and re-login or better reboot to avoid any issues\n\n"
send patches to the email below
yukais@pinapelz.com
include the subject [PATCH repo_name]
pinapelz.com
homepage